/********************************************************************************************
 *     LEGAL DISCLAIMER 
 *
 *     (Header of MediaTek Software/Firmware Release or Documentation)
 *
 *     BY OPENING OR USING THIS FILE, BUYER HEREBY UNEQUIVOCALLY ACKNOWLEDGES AND AGREES 
 *     THAT THE SOFTWARE/FIRMWARE AND ITS DOCUMENTATIONS ("MEDIATEK SOFTWARE") RECEIVED 
 *     FROM MEDIATEK AND/OR ITS REPRESENTATIVES ARE PROVIDED TO BUYER ON AN "AS-IS" BASIS 
 *     ONLY. MEDIATEK EXPRESSLY DISCLAIMS ANY AND ALL WARRANTIES, EXPRESS OR IMPLIED, 
 *     INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR 
 *     A PARTICULAR PURPOSE OR NONINFRINGEMENT. NEITHER DOES MEDIATEK PROVIDE ANY WARRANTY 
 *     WHATSOEVER WITH RESPECT TO THE SOFTWARE OF ANY THIRD PARTY WHICH MAY BE USED BY, 
 *     INCORPORATED IN, OR SUPPLIED WITH THE MEDIATEK SOFTWARE, AND BUYER AGREES TO LOOK 
 *     ONLY TO SUCH THIRD PARTY FOR ANY WARRANTY CLAIM RELATING THERETO. MEDIATEK SHALL ALSO
 *     NOT BE RESPONSIBLE FOR ANY MEDIATEK SOFTWARE RELEASES MADE TO BUYER'S SPECIFICATION 
 *     OR TO CONFORM TO A PARTICULAR STANDARD OR OPEN FORUM.
 *     
 *     BUYER'S SOLE AND EXCLUSIVE REMEDY AND MEDIATEK'S ENTIRE AND CUMULATIVE LIABILITY WITH 
 *     RESPECT TO THE MEDIATEK SOFTWARE RELEASED HEREUNDER WILL BE, AT MEDIATEK'S OPTION, 
 *     TO REVISE OR REPLACE THE MEDIATEK SOFTWARE AT ISSUE, OR REFUND ANY SOFTWARE LICENSE 
 *     FEES OR SERVICE CHARGE PAID BY BUYER TO MEDIATEK FOR SUCH MEDIATEK SOFTWARE AT ISSUE. 
 *     
 *     THE TRANSACTION CONTEMPLATED HEREUNDER SHALL BE CONSTRUED IN ACCORDANCE WITH THE LAWS 
 *     OF THE STATE OF CALIFORNIA, USA, EXCLUDING ITS CONFLICT OF LAWS PRINCIPLES.  
 ************************************************************************************************/
#ifndef X_GPIO_8550_H
#define X_GPIO_8550_H

//-----------------------------------------------------------------------------
// Include files
//-----------------------------------------------------------------------------
#include <asm/config.h>

//-----------------------------------------------------------------------------
// Constant definitions
//-----------------------------------------------------------------------------
#define TOTAL_GPIO_IDX          5
#define GPIO_INDEX_MASK         ((1 << 5) - 1)

// GPIO name definitions
#define PIN_GPIO0           0
#define PIN_GPIO1           1
#define PIN_GPIO2           2
#define PIN_GPIO3           3
#define PIN_GPIO4           4
#define PIN_GPIO5           5
#define PIN_GPIO6           6
#define PIN_GPIO7           7
#define PIN_AMUTE           8
#define PIN_AOBCK           9
#define PIN_AOLRCK          10
#define PIN_AOMCLK          11
#define PIN_AOSDATA0        12
#define PIN_AOSDATA1        13
#define PIN_AOSDATA2        14
#define PIN_AOSDATA3        15
#define PIN_AOSDATA4        16
#define PIN_AOSDATA5        17
#define PIN_FECFREQ         18
#define PIN_FECMOD          19
#define PIN_FEDMO           20
#define PIN_FEEJECT         21
#define PIN_FEFQ            22
#define PIN_FEFMO           23
#define PIN_FEFMO2          24     
#define PIN_FEFMO3          25     
#define PIN_FEFMO4          26
#define PIN_FEGAINSW1       27
#define PIN_FEGAINSW2       28
#define PIN_FEGAINSW3       29
#define PIN_FEGIO0          30       
#define PIN_FEGIO1          31 

#define PIN_FEGIO10         32      
#define PIN_FEGIO11         33
#define PIN_FEGIO12         34
#define PIN_FEGIO13         35
#define PIN_FEGIO2          36
#define PIN_FEGIO3          37
#define PIN_FEGIO4          38
#define PIN_FEGIO5          39
#define PIN_FEGIO6          40   
#define PIN_FEGIO7          41
#define PIN_FEGIO8          42
#define PIN_FEGIO9          43
#define PIN_FELIMIT         44
#define PIN_FEMPXOUT1       45
#define PIN_FEMPXOUT2       46
#define PIN_FEMPXOUT3       47
#define PIN_FEOSCEN         48      
#define PIN_FEPLAY          49
#define PIN_FETRAYIN        50
#define PIN_FETRAYOUT       51
#define PIN_FETRAYPWM       52  
#define PIN_MCIN            53   
#define PIN_NFALE           54
#define PIN_NFCEN           55
#define PIN_NFCEN2          56
#define PIN_NFCLE           57
#define PIN_NFD0            58
#define PIN_NFD1            59      
#define PIN_NFD2            60
#define PIN_NFD3            61      
#define PIN_NFD4            62
#define PIN_NFD5            63     

#define PIN_NFD6            64
#define PIN_NFD7            65      
#define PIN_NFRBN           66
#define PIN_NFRBN2          67
#define PIN_NFREN           68
#define PIN_NFWEN           69
#define PIN_SCL             70
#define PIN_SDA             71
#define PIN_SFCK            72
#define PIN_SFCS            73
#define PIN_SFDI            74
#define PIN_SFDO            75
#define PIN_SPBCK           76
#define PIN_SPDATA          77
#define PIN_SPDIF           78
#define PIN_SPLRCK          79
#define PIN_SPMCLK          80
#define PIN_VOUTCLK1        81
#define PIN_VOUTD0          82
#define PIN_VOUTD1          83
#define PIN_VOUTD10         84
#define PIN_VOUTD11         85
#define PIN_VOUTD12         86
#define PIN_VOUTD13         87
#define PIN_VOUTD14         88
#define PIN_VOUTD15         89
#define PIN_VOUTD2          90
#define PIN_VOUTD3          91
#define PIN_VOUTD4          92
#define PIN_VOUTD5          93
#define PIN_VOUTD6          94
#define PIN_VOUTD7          95
                        
#define PIN_VOUTD8          96
#define PIN_VOUTD9          97
#define PIN_VOUTHSYNC       98
#define PIN_VOUTVSYNC       99
#define PIN_TDO             100
#define PIN_TRST            101
#define PIN_TMS             102
#define PIN_TDI             103
#define PIN_TCK             104


//pdwnc
#define PDWNC_PAD_PINMUX1   0x0F4
#define PDWNC_PAD_PINMUX2   0x0F8
#define PDWNC_PAD_PINMUX3   0x0FC
#define PDWNC_GPIOIN        0x0D0
#define PDWNC_GPIOEN        0x0D4
#define PDWNC_GPIOOUT       0x0D8

#define PIN_VFD_STB         105
#define PIN_VFD_CLK         106 
#define PIN_VFD_DATA        107
#define PIN_LCDRD           108
//                                             109
#define PIN_ETMDIO          110
#define PIN_ETMDC           111
#define PIN_ETRXER          112
#define PIN_ETTXER          113
#define PIN_ETRXDV          114
#define PIN_ETTXEN          115 
#define PIN_ETCRS           116 
#define PIN_ETCOL           117
#define PIN_ETRXD3          118
#define PIN_ETRXD2          119
#define PIN_ETRXD1          120
#define PIN_ETRXD0          121
#define PIN_ETTXD3          122
#define PIN_ETTXD2          123
#define PIN_ETTXD1          124  
#define PIN_ETTXD0          125
#define PIN_ETRXCLK         126 
#define PIN_ETTXCLK         127
#define PIN_HDMI_SCK        128
#define PIN_HDMI_SD         129 
#define PIN_HDMI_HTPLG      130
#define PIN_HDMI_CEC        131 
#define PIN_UATXD           132
#define PIN_UARXD           133 
#define PIN_IR              134 
#define PIN_GPIO8           135 
   
#define PIN_UNKNOWN         255

// Total GPIO is 135.
#define TOTAL_GPIO_NUM      135

//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
#if SUPPORT_WP
#define NAND_WP  PIN_UNKNOWN
#endif

#if SUPPORT_UPG_STATUS
#define UPG_STATUS_PIN  PIN_GPIO6 
#endif

#if SUPPORT_AMUTE
#define AUDIO_MUTE      PIN_AMUTE
#endif

#if SUPPORT_JIG
#define START_BIT       PIN_GPIO1

#define VIDEO_MUTE      PIN_SCL      // Control for Video Mute 0:Mute, 1:Output

#define JIG_MODE0       PIN_GPIO4      //JIG mode flag input 0
#define JIG_MODE1       PIN_GPIO5      //JIG mode flag input 1

#define USB_PCONT1      PIN_GPIO7
#define USB_PCONT2      PIN_GPIO3
#define USB_PCONT3 		PIN_GPIO8

#define PIN_FE_RST1		PIN_UNKNOWN
#endif

#endif //X_GPIO_8550_H
