/********************************************************************************************
 *     LEGAL DISCLAIMER 
 *
 *     (Header of MediaTek Software/Firmware Release or Documentation)
 *
 *     BY OPENING OR USING THIS FILE, BUYER HEREBY UNEQUIVOCALLY ACKNOWLEDGES AND AGREES 
 *     THAT THE SOFTWARE/FIRMWARE AND ITS DOCUMENTATIONS ("MEDIATEK SOFTWARE") RECEIVED 
 *     FROM MEDIATEK AND/OR ITS REPRESENTATIVES ARE PROVIDED TO BUYER ON AN "AS-IS" BASIS 
 *     ONLY. MEDIATEK EXPRESSLY DISCLAIMS ANY AND ALL WARRANTIES, EXPRESS OR IMPLIED, 
 *     INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR 
 *     A PARTICULAR PURPOSE OR NONINFRINGEMENT. NEITHER DOES MEDIATEK PROVIDE ANY WARRANTY 
 *     WHATSOEVER WITH RESPECT TO THE SOFTWARE OF ANY THIRD PARTY WHICH MAY BE USED BY, 
 *     INCORPORATED IN, OR SUPPLIED WITH THE MEDIATEK SOFTWARE, AND BUYER AGREES TO LOOK 
 *     ONLY TO SUCH THIRD PARTY FOR ANY WARRANTY CLAIM RELATING THERETO. MEDIATEK SHALL ALSO
 *     NOT BE RESPONSIBLE FOR ANY MEDIATEK SOFTWARE RELEASES MADE TO BUYER'S SPECIFICATION 
 *     OR TO CONFORM TO A PARTICULAR STANDARD OR OPEN FORUM.
 *     
 *     BUYER'S SOLE AND EXCLUSIVE REMEDY AND MEDIATEK'S ENTIRE AND CUMULATIVE LIABILITY WITH 
 *     RESPECT TO THE MEDIATEK SOFTWARE RELEASED HEREUNDER WILL BE, AT MEDIATEK'S OPTION, 
 *     TO REVISE OR REPLACE THE MEDIATEK SOFTWARE AT ISSUE, OR REFUND ANY SOFTWARE LICENSE 
 *     FEES OR SERVICE CHARGE PAID BY BUYER TO MEDIATEK FOR SUCH MEDIATEK SOFTWARE AT ISSUE. 
 *     
 *     THE TRANSACTION CONTEMPLATED HEREUNDER SHALL BE CONSTRUED IN ACCORDANCE WITH THE LAWS 
 *     OF THE STATE OF CALIFORNIA, USA, EXCLUDING ITS CONFLICT OF LAWS PRINCIPLES.  
 ************************************************************************************************/
#ifndef X_GPIO_8555_H
#define X_GPIO_8555_H

//-----------------------------------------------------------------------------
// Include files
//-----------------------------------------------------------------------------
#include <asm/config.h>

//-----------------------------------------------------------------------------
// Constant definitions
//-----------------------------------------------------------------------------
#define TOTAL_GPIO_IDX          5
#define GPIO_INDEX_MASK         ((1 << 5) - 1)

// GPIO name definitions
#define PIN_GPIO0           0
#define PIN_GPIO1           1
#define PIN_GPIO2           2
#define PIN_GPIO3           3
#define PIN_GPIO4           4
#define PIN_GPIO5           5
#define PIN_GPIO6           6
#define PIN_GPIO7           7
#define PIN_AMUTE           8
#define PIN_AOBCK           9
#define PIN_AOLRCK          10
#define PIN_AOMCLK          11
#define PIN_AOSDATA0        12
#define PIN_AOSDATA1        13
#define PIN_AOSDATA2        14
#define PIN_AOSDATA3        15
#define PIN_AOSDATA4        16
#define PIN_FECFREQ         17
#define PIN_FECMOD          18
#define PIN_FEDMO           19
#define PIN_FEEJECT         20
#define PIN_FEFG            21
#define PIN_FEFMO           22
#define PIN_FEFMO2          23     
#define PIN_FEFMO3          24     
#define PIN_FEFMO4          25
#define PIN_FEGAINSW1       26
#define PIN_FEGAINSW2       27
#define PIN_FEGAINSW3       28
#define PIN_FEGIO0          29       
#define PIN_FEGIO1          30 
#define PIN_FEGIO10         31

#define PIN_FEGIO11         32
#define PIN_FEGIO12         33
#define PIN_FEGIO13         34
#define PIN_FEGIO2          35
#define PIN_FEGIO3          36
#define PIN_FEGIO4          37
#define PIN_FEGIO5          38
#define PIN_FEGIO6          39   
#define PIN_FEGIO7          40
#define PIN_FEGIO8          41
#define PIN_FEGIO9          42
#define PIN_FELIMIT         43
#define PIN_FEMPXOUT1       44
#define PIN_FEMPXOUT2       45
#define PIN_FEMPXOUT3       46
#define PIN_FEOSCEN         47      
#define PIN_FEPLAY          48
#define PIN_FETRAYIN        49
#define PIN_FETRAYOUT       50
#define PIN_FETRAYPWM       51  
#define PIN_MCIN            52   
#define PIN_NFALE           53
#define PIN_NFCEN           54
#define PIN_NFCEN2          55
#define PIN_NFCLE           56
#define PIN_NFD0            57
#define PIN_NFD1            58      
#define PIN_NFD2            59
#define PIN_NFD3            60      
#define PIN_NFD4            61
#define PIN_NFD5            62     
#define PIN_NFD6            63

#define PIN_NFD7            64      
#define PIN_NFRBN           65
#define PIN_NFRBN2          66
#define PIN_NFREN           67
#define PIN_NFWEN           68
#define PIN_SCL             69
#define PIN_SDA             70
#define PIN_SFCK            71
#define PIN_SFCS            72
#define PIN_SFDI            73
#define PIN_SFDO            74
#define PIN_SPBCK           75
#define PIN_SPDATA          76
#define PIN_SPDIF           77
#define PIN_SPLRCK          78
#define PIN_SPMCLK          79
#define PIN_VINCLK          80
#define PIN_VIND0           81
#define PIN_VIND1           82  
#define PIN_VIND10          83   
#define PIN_VIND11          84
#define PIN_VIND12          85
#define PIN_VIND13          86
#define PIN_VIND14          87
#define PIN_VIND15          88
#define PIN_VIND16          89      
#define PIN_VIND17          90
#define PIN_VIND18          91      
#define PIN_VIND19          92
#define PIN_VIND2           93     
#define PIN_VIND20          94     
#define PIN_VIND21          95     
                        
#define PIN_VIND22          96
#define PIN_VIND23          97
#define PIN_VIND24          98
#define PIN_VIND25          99
#define PIN_VIND26          100
#define PIN_VIND27          101
#define PIN_VIND28          102
#define PIN_VIND29          103
#define PIN_VIND3           104
#define PIN_VIND30          105
#define PIN_VIND31          106
#define PIN_VIND32          107
#define PIN_VIND33          108
#define PIN_VIND34          109
#define PIN_VIND35          110
#define PIN_VIND4           111    
#define PIN_VIND5           112
#define PIN_VIND6           113
#define PIN_VIND7           114
#define PIN_VIND8           115
#define PIN_VIND9           116
#define PIN_VINHSYNC        117
#define PIN_VINVSYNC        118
#define PIN_VOUTCLK1        119
#define PIN_VOUTD0          120
#define PIN_VOUTD1          121
#define PIN_VOUTD10         122
#define PIN_VOUTD11         123
#define PIN_VOUTD12         124
#define PIN_VOUTD13         125
#define PIN_VOUTD14         126
#define PIN_VOUTD15         127
                        
#define PIN_VOUTD2          128
#define PIN_VOUTD3          129
#define PIN_VOUTD4          130
#define PIN_VOUTD5          131
#define PIN_VOUTD6          132
#define PIN_VOUTD7          133             
#define PIN_VOUTD8          134
#define PIN_VOUTD9          135
#define PIN_VOUTHSYNC       136
#define PIN_VOUTVSYNC       137
#define PIN_TDO             138
#define PIN_TRST            139
#define PIN_TMS             140
#define PIN_TDI             141
#define PIN_TCK             142


//pdwnc
#define PDWNC_PAD_PINMUX1   0x0F4
#define PDWNC_PAD_PINMUX2   0x0F8
#define PDWNC_PAD_PINMUX3   0x0FC
#define PDWNC_GPIOIN        0x0D0
#define PDWNC_GPIOEN        0x0D4
#define PDWNC_GPIOOUT       0x0D8

#define PIN_VFD_STB         143
#define PIN_VFD_CLK         144 
#define PIN_VFD_DATA        145
#define PIN_LCDRD           146
//                                             147
#define PIN_ETMDIO          148
#define PIN_ETMDC           149
#define PIN_ETRXER          150
#define PIN_ETTXER          151
#define PIN_ETRXDV          152
#define PIN_ETTXEN          153 
#define PIN_ETCRS           154 
#define PIN_ETCOL           155
#define PIN_ETRXD3          156
#define PIN_ETRXD2          157
#define PIN_ETRXD1          158
#define PIN_ETRXD0          159
#define PIN_ETTXD3          160
#define PIN_ETTXD2          161
#define PIN_ETTXD1          162  
#define PIN_ETTXD0          163
#define PIN_ETRXCLK         164 
#define PIN_ETTXCLK         165
#define PIN_HDMI_SCK        166
#define PIN_HDMI_SD         167 
#define PIN_HDMI_HTPLG      168
#define PIN_HDMI_CEC        169 
#define PIN_UATXD           170
#define PIN_UARXD           171 
#define PIN_IR              172 
#define PIN_GPIO8           173 
   
#define PIN_UNKNOWN         255

// Total GPIO is 173.
#define TOTAL_GPIO_NUM      173

//-----------------------------------------------------------------------------
//-----------------------------------------------------------------------------
#if SUPPORT_WP
#define NAND_WP         PIN_UNKNOWN
#endif

#if SUPPORT_UPG_STATUS
#define UPG_STATUS_PIN  PIN_GPIO6 
#endif

#if SUPPORT_AMUTE
#define AUDIO_MUTE      PIN_AMUTE
#endif

#if SUPPORT_JIG
#define START_BIT       PIN_GPIO1

#define VIDEO_MUTE      PIN_VFD_STB    // Control for Video Mute 0:Mute, 1:Output

#define JIG_MODE0       PIN_GPIO4      //JIG mode flag input 0
#define JIG_MODE1       PIN_GPIO5      //JIG mode flag input 1

#define USB_PCONT1      PIN_GPIO7
#define USB_PCONT2      PIN_SFCS
#define USB_PCONT3 		PIN_UNKNOWN

#define PIN_FE_RST1		PIN_NFRBN2
#endif

#endif //X_GPIO_8555_H
